﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Final Cal V11.10 & Later RS-232 /5502
DATE:                  2018-05-07 11:05:46
AUTHOR:                Fluke
REVISION:              $Revision: 23588 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       231
CONFIGURATION:         Fluke 5502A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @NumChan > 2
  1.002  MATH         Input = "A&B&C&D"; FinalCalStep = 852
  1.003  ELSE
  1.004  MATH         Input = "A&B";     FinalCalStep = 915
  1.005  ENDIF

  1.006  DO
  1.007  TARGET
  1.008  MATH         Step = FMT(@CalStep, "%04.0f")
  1.009  HEAD         -2 Cal Step: CL [V Step]

  1.010  IF           @CalStep == 799
  1.011  5502A        Standby
  1.012  HEAD         INPUT [V Input] VOLT GAIN ADJUSTMENT

  1.013  IF           @NumChan > 2

  1.014  IF           @THS3000Series
  1.015  PIC          THS3000_abcd_input_55
  1.016  MATH         @Picture = "THS3000_abcd_input_55"
  1.017  ELSE
  1.018  PIC          190II_abcd_input_55
  1.019  MATH         @Picture = "190II_abcd_input_55"
  1.020  ENDIF

  1.021  ELSE
  1.022  PIC          190II_ab_input_55
  1.023  MATH         @Picture = "190II_ab_input_55"
  1.024  ENDIF

  1.025  5502A        +Voltage =  5 mV
  1.026  MATH         CalWaitTime = 5

  1.027  ELSEIF       @CalStep == 800
  1.028  5502A        +Voltage = 12.5 mV
  1.029  MATH         CalWaitTime = 5

  1.030  ELSEIF       @CalStep == 801
  1.031  5502A        +Voltage = 25 mV

  1.032  ELSEIF       @CalStep == 802
  1.033  5502A        +Voltage = 50 mV

  1.034  ELSEIF       @CalStep == 803
  1.035  5502A        +Voltage = 125 mV

  1.036  ELSEIF       @CalStep == 804
  1.037  5502A        +Voltage = 250 mV

  1.038  ELSEIF       @CalStep == 805
  1.039  5502A        +Voltage = 500 mV

  1.040  ELSEIF       @CalStep == 806
  1.041  5502A        +Voltage = 1.25 V

  1.042  ELSEIF       @CalStep == 807
  1.043  5502A        +Voltage = 2.5 V

  1.044  ELSEIF       @CalStep == 808
  1.045  5502A        +Voltage = 5 V

  1.046  ELSEIF       @CalStep == 809
  1.047  5502A        +Voltage = 12.5 V

  1.048  ELSEIF       @CalStep == 810
  1.049  5502A        +Voltage = 25 V

  1.050  ELSEIF       @CalStep == 811
  1.051  5502A        +Voltage = 50 V

  1.052  ELSEIF       @CalStep == 812
  1.053  5502A        +Voltage = 125 V

  1.054  ELSEIF       @CalStep == 813
  1.055  5502A        +Voltage = 250 V

  1.056  ELSEIF       @CalStep == 840
  1.057  5502A        Standby
  1.058  HEAD         MULTIMETER (DMM) VOLTAGE GAIN ADJUSTMENT
  1.059  PIC          19x_meter_input_2w_55
  1.060  MATH         @Picture = "19x_meter_input_2w_55"
  1.061  5502A        +Voltage = 500 mV
  1.062  MATH         CalWaitTime = 15

  1.063  ELSEIF       @CalStep == 841
  1.064  5502A        +Voltage = 5 V

  1.065  ELSEIF       @CalStep == 842
  1.066  5502A        +Voltage = 50 V

  1.067  ELSEIF       @CalStep == 843
  1.068  5502A        +Voltage = 500 V

  1.069  ELSEIF       @CalStep == 844
  1.070  5502A        +Voltage = 1000 V

  1.071  ELSEIF       @CalStep == 849
  1.072  5502A        +Voltage = 2.5 V

  1.073  ELSEIF       @CalStep == 850
  1.074  5502A        Standby
  1.075  DISP         Remove all connections.
  1.076  MATH         CalWaitTime = 135

  1.077  ELSEIF       @CalStep == 852
  1.078  5502A        Standby
  1.079  HEAD         INPUT [V Input] ZERO ADJUSTMENT

  1.080  IF           @NumChan > 2

  1.081  IF           @THS3000Series
  1.082  PIC          THS3000_abcd_input_short.png
  1.083  MATH         @Picture = "THS3000_abcd_input_short.png"
  1.084  ELSE
  1.085  PIC          190II_abcd_input_short.jpg
  1.086  MATH         @Picture = "190II_abcd_input_short.jpg"
  1.087  ENDIF

  1.088  ELSE
  1.089  PIC          190II_ab_input_short.png
  1.090  MATH         @Picture = "190II_ab_input_short.png"
  1.091  ENDIF

# Wait 1 minute to cool down after application of 250 V.
  1.092  WAIT         -t 60 UUT input divider thermal emfs dissipating...
  1.093  MATH         CalWaitTime = 135

  1.094  ELSEIF       @CalStep == 890
  1.095  5502A        Standby
  1.096  HEAD         MULTIMETER (DMM) NUMERIC ZERO ADJUSTMENT
  1.097  PIC          190II_meter_input_short
# Wait 1 minute to cool down after application of 1000 V.
  1.098  WAIT         -t 60 DUT input divider thermal emfs dissipating...
  1.099  MATH         CalWaitTime = 100

  1.100  ELSEIF       @CalStep == 910
  1.101  5502A        Standby
  1.102  HEAD         MULTIMETER (DMM) OHM GAIN ADJUSTMENT
  1.103  PIC          19x_meter_input_4w_55
  1.104  MATH         @Picture = "19x_meter_input_4w_55"
  1.105  5502A        +Resistance = 100 Ohms;  LeadCompensation = 2Wire
  1.106  MATH         CalWaitTime = 10

  1.107  ELSEIF       @CalStep == 911
  1.108  5502A        +Resistance =   1 kOhm;  LeadCompensation = 2Wire

  1.109  ELSEIF       @CalStep == 912
  1.110  5502A        +Resistance =  10 kOhms; LeadCompensation = 2Wire

  1.111  ELSEIF       @CalStep == 913
  1.112  5502A        +Resistance = 100 kOhms; LeadCompensation = 2Wire

  1.113  ELSEIF       @CalStep == 914
  1.114  5502A        +Resistance =   1 MOhm

  1.115  ELSEIF       @CalStep == 915
  1.116  5502A        +Resistance =  10 MOhm

  1.117  ELSE
  1.118  DISP         Unsupported cal step:  [V @CalStep]
  1.118  DISP
  1.118  DISP         This may be caused by an unsupported DUT firmware rev.
  1.118  DISP
  1.118  DISP         Contact Fluke MET/CAL Gold support.
  1.118  DISP
  1.118  DISP         Press Advance to terminate the procedure now.
  1.119  MATH         @Abort = 1
  1.120  ENDIF

  1.121  PORT         CL [V @CalStep]
  1.122  WAIT         -t [V CalWaitTime] Calibration is in progress...
  1.123  CALL         Sub Fluke 190II Cal Adjust Error RS-232 /5502
  1.124  MATH         @Abort = @FatalError

# If calibration succeeded, the subsequent cal step number is returned.
# A zero "0" is returned when calibration is complete.
  1.125  IF           NOT(@FatalError) && NOT(@CalError)
  1.126  PORT         [I]
  1.127  MATH         @CalStep = MEM
  1.128  ENDIF

  1.129  UNTIL        (@CalStep == 0) || @Abort

  1.130  HEAD         -2
  1.131  HEAD
  1.132  5502A        Standby
  1.133  MATH         @Abort = @FatalError
  1.134  END
