﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Probe CAL RS-232
DATE:                  2017-09-22 09:35:10
AUTHOR:                Fluke
REVISION:              $Revision: 22060 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       145
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504, 190-502
#        Tektronix THS3000 Series Oscilloscopes
#        THS3014, THS3024
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         PROBE CALIBRATION
  1.003  OPBR         -z The DUT calibration adjustment is completed.
  1.003  OPBR
  1.003  OPBR         Are the VPS210 probes included with the DUT?

  1.004  IF           MEM1
  1.005  MATH         Channel = 1

  1.006  DO

  1.007  IF           Channel == 1
  1.008  HEAD         -2 Input A, Red Probe

  1.009  IF           @THS3000Series
  1.010  PIC          THS3000_red_probe_test
  1.011  ELSE
  1.012  PIC          190II_red_probe_test
  1.013  ENDIF

  1.014  CALL         Sub Fluke ScopeMeter Press A RS-232
  1.015  JMPL         END                          @Abort
# Press "F3" button (PROBE A).
  1.016  MATH         @Cmd = "KY 31"
  1.017  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.018  JMPL         END                          @Abort

  1.019  ELSEIF       Channel == 2
  1.020  HEAD         -2 Input B, Blue Probe

  1.021  IF           @THS3000Series
  1.022  PIC          THS3000_blue_probe_test
  1.023  ELSE
  1.024  PIC          190II_blue_probe_test
  1.025  ENDIF

  1.026  MATH         @Cmd = "KY 18"
  1.027  CALL         Sub Fluke ScopeMeter Press B RS-232
  1.028  JMPL         END                          @Abort
# Press PROBE B softkey.
  1.029  CALL         Sub Fluke ScopeMeter Press F3 RS-232
  1.030  JMPL         END                          @Abort

  1.031  ELSEIF       Channel == 3
  1.032  HEAD         -2 Input C, Gray Probe

  1.033  IF           @THS3000Series
  1.034  PIC          THS3000_gray_probe_test
  1.035  ELSE
  1.036  PIC          190II_gray_probe_test
  1.037  ENDIF

  1.038  CALL         Sub Fluke ScopeMeter Press C RS-232
  1.039  JMPL         END                          @Abort
# Press PROBE C softkey.
  1.040  CALL         Sub Fluke ScopeMeter Press F3 RS-232
  1.041  JMPL         END                          @Abort

  1.042  ELSE
  1.043  HEAD         -2 Input D, Green Probe

  1.044  IF           @THS3000Series
  1.045  PIC          THS3000_green_probe_test
  1.046  ELSE
  1.047  PIC          190II_green_probe_test
  1.048  ENDIF

  1.049  CALL         Sub Fluke ScopeMeter Press D RS-232
  1.050  JMPL         END                          @Abort
# Press PROBE D Softkey.
  1.051  CALL         Sub Fluke ScopeMeter Press F3 RS-232
  1.052  JMPL         END                          @Abort
  1.053  ENDIF

# Press PROBE CAL... Softkey.
  1.054  CALL         Sub Fluke ScopeMeter Press F1 RS-232
  1.055  JMPL         END                          @Abort
# Press YES Softkey.
  1.056  CALL         Sub Fluke ScopeMeter Press F4 RS-232
  1.057  JMPL         END                          @Abort

  1.058  DISP         Verify that the DUT shows the square wave, (the lower
  1.058  DISP         half of the screen is covered with operating
  1.058  DISP         instructions), adjust the trimmer screw in the probe
  1.058  DISP         housing until a pure square wave is displayed.
  1.058  DISP
  1.058  DISP         Press UUT F4 (CONTINUE) button to start the calibration,
  1.058  DISP         wait several seconds until the message "Calibration has
  1.058  DISP         been completed successfully" is displayed.

# Press CLOSE Softkey.
  1.059  CALL         Sub Fluke ScopeMeter Press F4 RS-232
  1.060  JMPL         END                          @Abort

  1.061  MATH         Channel = Channel + 1
  1.062  UNTIL        Channel > 4

  1.063  RSLT         =Probes calibration is complete.

  1.064  ELSE
  1.065  RSLT         =Probes calibration not tested.
  1.066  ENDIF

  1.067  LABEL        END
  1.068  HEAD
  1.069  HEAD         -2
  1.070  END
